Bug 95974 - Need non-FileObject-based VisibilityQuery.isVisible
Need non-FileObject-based VisibilityQuery.isVisible
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@projects
: API, API_REVIEW_FAST
Depends on:
Blocks: 44586 49026
  Show dependency treegraph
 
Reported: 2007-02-19 22:51 UTC by Jesse Glick
Modified: 2008-03-21 09:48 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
api change diff (9.54 KB, patch)
2008-03-17 10:13 UTC, Milos Kleint
Details | Diff
includeexcludevisualizer patch (2.76 KB, patch)
2008-03-20 15:01 UTC, Milos Kleint
Details | Diff
version control implements VisibilityQueryImplementation2 (3.43 KB, patch)
2008-03-20 15:03 UTC, Milos Kleint
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2007-02-19 22:51:48 UTC
Needed for efficient yet fully interoperable implementation of
org.netbeans.spi.java.project.support.ui.IncludeExcludeVisualizer (see #49026).
In the meantime have to copy implementation from masterfs.
Comment 1 Milos Kleint 2007-02-23 07:52:19 UTC
jesse, is this critical for 6.0? I suppose not as it's a P3 -> future
Comment 2 Jesse Glick 2007-11-12 17:41:12 UTC
Please consider for 6.1. Should not be difficult.
Comment 3 Milos Kleint 2008-03-17 10:13:49 UTC
Created attachment 58468 [details]
api change diff
Comment 4 Milos Kleint 2008-03-17 10:18:31 UTC
please review.

the attached diff includes an additional spi interface VisibilityQueryImplementation2, additional method to
VisibilityQuery and an updated master fs implementation.

Users of the API shall not be required to call both VisibilityQuery.isVisible(FileObject) and isVisible(File). The
File-based method will attempt to delegate to the FileObject based one if the underlying VQI is not VQI2.
Comment 5 Jesse Glick 2008-03-17 17:59:48 UTC
Looks OK to me. Would be useful to include the patch to IncludeExcludeVisualizer which it would enable.
Comment 6 Milos Kleint 2008-03-20 15:01:59 UTC
Created attachment 58753 [details]
includeexcludevisualizer patch
Comment 7 Milos Kleint 2008-03-20 15:03:46 UTC
Created attachment 58754 [details]
version control implements VisibilityQueryImplementation2
Comment 8 Milos Kleint 2008-03-20 15:07:20 UTC
attached are the rewrite of IncludeExcludeVisualizer and also version control based VisbilityQueryImplementations now
implement the "2" interface.
Comment 9 Jesse Glick 2008-03-20 15:19:57 UTC
Looks good.
Comment 11 Milos Kleint 2008-03-21 09:48:51 UTC
fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo